sysprof (50.0-3) unstable; urgency=medium

  * Fix build where libunwind isn't available
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Apr 2026 21:28:34 -0400

sysprof (50.0-1) unstable; urgency=medium

  * New upstream release 50.0

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 25 Mar 2026 10:06:01 +0100

sysprof (50~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release 50.beta
  * Bump GTK requirement to 4.19.4 per the upstream release.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 16 Feb 2026 16:57:21 +0800

sysprof (49.0-6) unstable; urgency=medium

  * Build all packages and features for loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 07 Feb 2026 16:14:35 -0500

sysprof (49.0-5) unstable; urgency=medium

  * Only build libsysprof-capture-4-dev for Linux
  * Remove unnecessary Build-Depends: binutils-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 10:14:55 -0500

sysprof (49.0-4) unstable; urgency=medium

  * Mark more Build-Depends as only needed for libunwind features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Dec 2025 19:38:31 -0500

sysprof (49.0-3) unstable; urgency=medium

  * Stop mentioning obsolete armel & mips64el architectures
  * Build libsysprof-capture-4-dev even when libunwind isn't available
    (Closes: #1052382, #1067577)
  * Temporarily remove loong64 from the gui & libunwind architectures
    to ease bootstrapping
  * Don't require desktop-file-utils for the nogui build
  * Override dh_gnome to avoid build warnings
  * Opt into Salsa CI
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Dec 2025 16:23:20 -0500

sysprof (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:47:07 -0400

sysprof (49~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/libsysprof-6-6.symbols: Add new symbols
  * Remove all patches: applied in new release
  * Remove obsolete Rules-Requires-Root: no field
  * Remove old FSF address from debian/copyright
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 22:19:25 -0400

sysprof (48.0-2) unstable; urgency=medium

  * Cherry-pick a patch to try to fix the build on hppa & sh4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Mar 2025 09:45:34 -0400

sysprof (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:58:46 -0400

sysprof (48~beta-2) unstable; urgency=medium

  * Cherry-pick patch to fix build on most architectures
    (Closes: #1095448, #1095462)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 15:50:51 -0500

sysprof (48~beta-1) unstable; urgency=medium

  * New upstream release (LP: #2084333). Selected highlights:
    - Add new symbolizer for debuginfod which is enabled by default
    - Many performance improvements for capture loading
    - Support for unwinding without frame-pointers on distributions
      lacking -fno-omit-frame-pointer at the toolchain level. This
      uses a new "sysprof-live-unwinder" elevated helper process
      which takes data from perf and unwinds the stack as soon as
      it can without capturing the perf data to disk.
  * debian/libsysprof-6-6.symbols: Add new symbols
  * Bump minimum libdex
  * Add Build-Depends: libdebuginfod-dev, libdw-dev
  * libsysprof-6-dev.install: Add additional header files
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 17:56:08 -0500

sysprof (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 11:44:56 -0500

sysprof (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 11:06:41 -0500

sysprof (47.0-2) unstable; urgency=medium

  * Build the sysprof app on loong64 & ppc64 also
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:16:56 -0400

sysprof (47.0-1) experimental; urgency=medium

  * New upstream release
  * Don't build the sysprof app on non-release-architectures
    because gtk4 is not currently built there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 15:31:24 -0400

sysprof (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, GTK4, libadwaita, libdex, & libpanel
  * debian/sysprof.docs: DESIGN.md is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 16:13:08 -0400

sysprof (46.0-2) unstable; urgency=medium

  * Add Build-Depends: libsystemd-dev
    needed for "Recording System Logs" feature
  * Suggest mesa-utils on Ubuntu but recommend it on Debian
  * Drop obsolete Lintian override
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Jun 2024 10:31:12 -0400

sysprof (46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libsysporf-6-6.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 15:52:55 -0400

sysprof (46~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Mar 2024 17:57:00 -0400

sysprof (46~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 14:58:57 -0500

sysprof (45.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 07:26:29 -0500

sysprof (45.1-2) unstable; urgency=medium

  [ John David Anglin ]
  * Add patch to fix hppa issue noticed in build tests (Closes: #1021853)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 17:21:44 -0400

sysprof (45.1-1) unstable; urgency=medium

  * New upstream release
  * Extend dh_auto_test timeout (Closes: #1021853)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 13:40:54 -0400

sysprof (45.0-2) unstable; urgency=medium

  * Team upload
  * Install the systemd unit in /usr/lib/systemd/system.
    This was allowed by Technical Committee resolution #1053901. sysprof
    has not usually been backported, so it doesn't seem important to make
    backports trivial for this particular package.
    Build-depend on debhelper (>= 13.11.6~) so that dh_installsystemd finds
    the unit in its new location.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 11:52:19 +0100

sysprof (45.0-1) unstable; urgency=medium

  * New upstream release
  * Fix nogui build profile (Closes: #1051104)
  * Drop unnecessary Build-Depends on cairo; gtk4 already pulls it in
  * Drop unnecessary Build-Depends on systemd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:28:51 -0400

sysprof (45~rc-1) unstable; urgency=medium

  * New upstream release
  * libunwind is now a required build dependency
  * debian/libsysprof-6-dev.install: Install additional header file
  * Don't build sysprof GUI on i386; it's no longer need by mutter i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 21:04:30 -0400

sysprof (45~beta-6) unstable; urgency=medium

  * Fix Build-Depends for i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 09:45:15 -0400

sysprof (45~beta-5) unstable; urgency=medium

  * Fix configure flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:58:42 -0400

sysprof (45~beta-4) unstable; urgency=medium

  * Build sysprof GUI package on Debian's i386 (but not Ubuntu's)
    It ships a D-Bus interface needed by the mutter build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 07:52:01 -0400

sysprof (45~beta-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:44:32 -0400

sysprof (45~beta-2) experimental; urgency=medium

  * Resume building GUI packages on riscv64 since gtk4 is bootstrapped there
  * Stop building sysprof GUI on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 15:25:56 -0400

sysprof (45~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2031972)
  * debian/control.in: Bump minimum GTK4, glib, & libadwaita
  * debian/control.in: Build-Depend on libdex-dev & libpanel-dev
  * Drop obsolete patch
  * Update packaging for soname bump
    - libsysprof-ui is no longer provided
    - libsysprof-capture remains at API 4 (but headers are in 6 directory)
    - The other libraries are bumped to API 6
    - One more library is added to the group library package, libsysprof-tracer

  [ Nathan Pratta Teodosio ]
  * Update libsysprof autopkgtest

  [ Simon McVittie ]
  * Give libsysprof-6-6 its Policy-compliant name.
    Move the LD_PRELOAD modules libsysprof-*-6.so into their own separate
    package, libsysprof-6-modules.
  * d/control.in: Remove unnecessary Breaks/Replaces.
    After the SONAME bump, only libsysprof-capture-4-dev has any files
    that were previously in libsysprof-4-dev or sysprof.
  * Remove unused lintian overrides for libsysprof-4
  * d/sysprof.lintian-overrides: Remove overrides that no longer apply

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 19 Aug 2023 12:38:27 -0400

sysprof (3.48.0-5) unstable; urgency=medium

  * debian/gbp.conf: Branch for trixie
  * Resume building GUI packages on riscv64 since gtk4 is bootstrapped there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 15:18:05 -0400

sysprof (3.48.0-4) unstable; urgency=medium

  * Team upload
  * d/control.in: Version the libunwind-dev dependency.
    This package expects the libunwind-dev from src:libunwind, which
    provides a larger API than the libunwind-*-dev from LLVM: in particular,
    the standalone libunwind has pkg-config metadata but LLVM's libunwind
    does not. LLVM's libunwind Provides libunwind-dev even though it does
    not provide all of the same functionality, causing intermittent FTBFS
    when the non-default apt dependency resolver used by sbuild for
    experimental happens to choose LLVM's libunwind-*-dev to satisfy the
    dependency.
    libunwind-*-dev have Provides on libunwind-dev, but it's an unversioned
    Provides, so we can make sure to get the standalone libunwind by
    specifying a version (an arbitrarily old version will do).
    (Mitigates: #1027451)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 23:54:28 +0100

sysprof (3.48.0-3) experimental; urgency=medium

  * Team upload
  * Split the -dev package between the three libraries.
    This should help to reduce dependency cycles, in particular between
    GTK 4 and sysprof.
  * d/control.in: Don't build sysprof under the pkg.sysprof.nogui profile.
    sysprof is a GUI.
  * d/control.in: Remove version constraints unnecessary since Debian 11
  * d/control.in, d/rules: Disable GUI packages on riscv64 for now.
    gtk4 is not available there yet.
  * d/copyright: Update
  * d/lib*.lintian-overrides: Silence warnings about unusual library naming.
    It is intentional that there is no libsysprof.so symbolic link:
    libsysprof-4.so is both the SONAME, and the name used for linking (in
    the form of -lsysprof-4 in the .pc file).
  * d/libsysprof-4.symbols: Add more Build-Depends-Package for completeness
  * d/sysprof.lintian-overrides: Silence false positives for the systemd units
  * Upload to experimental for NEW processing

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 13:32:05 +0100

sysprof (3.48.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:21:51 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsysprof-capture-4-dev`.
